package cat.hack3.codingtests.marsrover.test.context;

import java.util.ServiceLoader;
import java.util.stream.IntStream;

public interface TestingCommons {

    default <T> T getImplProviderOf(Class<T> interfaceProvider) {
        return ServiceLoader
                .load(interfaceProvider)
                .findFirst()
                .orElseThrow();
    }

    default  void repeatAction(int times, Runnable actionToRepeat) {
        IntStream.rangeClosed(1, times)
                .forEach(i -> actionToRepeat.run());
    }
}
